<template>
  <div v-if="typeof field === 'undefined'">
    <span class="field-undefined" :class="{ 'field-undefined-em': environment === 'development' }">N/A</span>
  </div>
  <div v-else>
    <slot></slot>
  </div>
</template>

<script>
const _ = require('lodash')

export default {
  props: {
    field: {
      required: true
    }
  },

  data () {
    return {
      environment: _.toString(process.env.NODE_ENV).toLowerCase()
    }
  }
}
</script>

<style lang="scss" scoped>
  .field-undefined {
    color: gray
  }
  .field-undefined-em {
    border: 2px solid red
  }
</style>
